DROP TABLE CRST_HZ_CUST_ACCT_SITES_ALL;

CREATE TABLE CRST_HZ_CUST_ACCT_SITES_ALL
(
  CUST_ACCT_SITE_ID          NUMBER(15)         NOT NULL,
  CUST_ACCOUNT_ID            NUMBER(15)         NOT NULL,
  PARTY_SITE_ID              NUMBER(15)         NOT NULL,
  LAST_UPDATE_DATE           DATE               NOT NULL,
  LAST_UPDATED_BY            NUMBER(15)         NOT NULL,
  CREATION_DATE              DATE               NOT NULL,
  CREATED_BY                 NUMBER(15)         NOT NULL,
  LAST_UPDATE_LOGIN          NUMBER(15),
  REQUEST_ID                 NUMBER(15),
  PROGRAM_APPLICATION_ID     NUMBER(15),
  PROGRAM_ID                 NUMBER(15),
  PROGRAM_UPDATE_DATE        DATE,
  WH_UPDATE_DATE             DATE,
  ATTRIBUTE_CATEGORY         VARCHAR2(30 BYTE),
  ATTRIBUTE1                 VARCHAR2(150 BYTE),
  ATTRIBUTE2                 VARCHAR2(150 BYTE),
  ATTRIBUTE3                 VARCHAR2(150 BYTE),
  ATTRIBUTE4                 VARCHAR2(150 BYTE),
  ATTRIBUTE5                 VARCHAR2(150 BYTE),
  ATTRIBUTE6                 VARCHAR2(150 BYTE),
  ATTRIBUTE7                 VARCHAR2(150 BYTE),
  ATTRIBUTE8                 VARCHAR2(150 BYTE),
  ATTRIBUTE9                 VARCHAR2(150 BYTE),
  ATTRIBUTE10                VARCHAR2(150 BYTE),
  ATTRIBUTE11                VARCHAR2(150 BYTE),
  ATTRIBUTE12                VARCHAR2(150 BYTE),
  ATTRIBUTE13                VARCHAR2(150 BYTE),
  ATTRIBUTE14                VARCHAR2(150 BYTE),
  ATTRIBUTE15                VARCHAR2(150 BYTE),
  ATTRIBUTE16                VARCHAR2(150 BYTE),
  ATTRIBUTE17                VARCHAR2(150 BYTE),
  ATTRIBUTE18                VARCHAR2(150 BYTE),
  ATTRIBUTE19                VARCHAR2(150 BYTE),
  ATTRIBUTE20                VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY  VARCHAR2(30 BYTE),
  GLOBAL_ATTRIBUTE1          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20         VARCHAR2(150 BYTE),
  ORIG_SYSTEM_REFERENCE      VARCHAR2(240 BYTE) NOT NULL,
  STATUS                     VARCHAR2(1 BYTE)   NOT NULL,
  ORG_ID                     NUMBER(15),
  BILL_TO_FLAG               VARCHAR2(1 BYTE),
  MARKET_FLAG                VARCHAR2(1 BYTE),
  SHIP_TO_FLAG               VARCHAR2(1 BYTE),
  CUSTOMER_CATEGORY_CODE     VARCHAR2(30 BYTE),
  LANGUAGE                   VARCHAR2(4 BYTE),
  KEY_ACCOUNT_FLAG           VARCHAR2(1 BYTE),
  TP_HEADER_ID               NUMBER,
  ECE_TP_LOCATION_CODE       VARCHAR2(40 BYTE),
  SERVICE_TERRITORY_ID       NUMBER(15),
  PRIMARY_SPECIALIST_ID      NUMBER(15),
  SECONDARY_SPECIALIST_ID    NUMBER(15),
  TERRITORY_ID               NUMBER(15),
  ADDRESS_TEXT               CLOB,
  TERRITORY                  VARCHAR2(30 BYTE),
  TRANSLATED_CUSTOMER_NAME   VARCHAR2(50 BYTE),
  OBJECT_VERSION_NUMBER      NUMBER,
  CREATED_BY_MODULE          VARCHAR2(150 BYTE),
  APPLICATION_ID             NUMBER,
  CUST_ACCT_SITE_ID_N        NUMBER(15)
);
